QGIS Application - Bug report #123
make fails
2006-05-20 07:29 AM - abernatj-yahoo-com -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: Build/Install

Affected QGIS version: Regression?: No
Operating System: SuSE Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupts data: Copied to github as #: 10182
Description

After successful configure make fails with the messages:
then mv -f ".deps/qgis-qgsdligvectorlayerproperties. Tpo" "
".deps/qgis-qgsdigvectorlayerproperties. Tpo"; exit 1; fi
In file included from ../providers/postgres/qgspostgresprovider.h:40,

from ggsdligvectorlayerproperties.cpp:45:
../providers/postgres/qgspostgrescountthread.h:52: error: syntax error before @ {' token

.deps/qgis-qgsdigvectorlayerproperties.Po"; else rm -f

./providers/postgres/qgspostgrescountthread.h: In function void
setCallback(QObject*)":

../providers/postgres/qgspostgrescountthread.h:75: error: @callbackObject'
undeclared (first use this function)

../providers/postgres/qgspostgrescountthread.h:75: error: (Each undeclared
identifier is reported only once for each function it appears in.)

../providers/postgres/qgspostgrescountthread.h: At global scope:

../providers/postgres/qgspostgrescountthread.h:85: error: syntax error before
private'

../providers/postgres/qgspostgrescountthread.h:118: error:
QObject*callbackObject' used prior to declaration

../providers/postgres/qgspostgrescountthread.h:125: error: syntax error before

} token

[ more similar errors ]

maker4: * [qgis-qgsdlgvectorlayerproperties.o] Error 1
maker4: Leaving directory /home/andy/sources/qgis-0.7.4/src
maker3: *** [all-recursive] Error 1

maker3: Leaving directory /home/andy/sources/qgis-0.7.4/src
maker2: [all] Error 2

maker2: Leaving directory /home/andy/sources/qgis-0.7.4/src'

maker1: *** [all-recursive] Error 1
maker1: Leaving directory /home/andy/sources/qgis-0.7.4'
make: ** [all] Error 2

I'm running [[SuSE]] 9.3 and trying to make qgis 0.7.4
Thanks for any assistance.
-Andy.

History

#1 - 2006-05-26 08:06 PM - Gavin Macaulay -
What version of Qt are you using? The errors suggest that something is wrong in that area.

#2 - 2006-08-15 10:46 AM - Redmine Admin
- Resolution set to worksforme

- Status changed from Open to Closed

better close it? | do not think it is still valid, and has general meaning.
